2011.02.07 (1.2.4)
  jar ファイル類の更新。
  (C#.NET) ソースファイルの文字エンコーディング指定機能を追加。

2010.04.02 (1.2.3)
  jar ファイルの更新。

2008.12.10 (1.2.2)
  ○定義書に関する新仕様
  ・定義書(Excel)の説明フィールドについて、もし改行付きで記入した場合の扱いについて。
    ・１行目は説明文をそのまま書く。文字参照については考慮する必要はない。  (blancoCg の title 相当)
    ・２行目以降は、文字参照を考慮した値を記入する。１行目とは扱いが異なる。(blancoCg の descriptionList 相当)
  TODO BlancoCsvXmlParser.java の新規作成。(現状はけっこうひどい)

2008.12.08 (1.2.1)
  CSVファイルが 0件の場合にも 適切にタイトル出力するように改善。

2008.12.08 (1.2.0)
  (仕様変更)タイトル行の読み書きについて、○があれば有無をいわさず実施するように仕様変更。
  writeTitleは常にソースコード出力するように仕様変更。
  タイトル行の読み書きについて、定義書に ○ を付けたら、それで安心してしまうことが多いので、このような仕様変更は仕方ないものと考える。
  CSV定義書のサンプルを新たに一つ追加。
  生成ソースコードの JavaDocのコメントに TYPO があったのを修正。

2008.12.05 (1.1.10)
  DIコンテナ対策
  ・引数無しのコンストラクタを生成するように変更。
  ・setWriter, setReader のメソッドを生成するように変更。
  ・public メソッドについて、nullチェックをおこなうように変更。
  フィールドについて protected 化。(継承の可能性を残す)
  initメソッドを新規作成。
  TODO 定義書の内容チェックは、生成時ではなく読み込み時に実施するよう仕様変更したい。

2008.12.05 (1.1.9)
  ソースファイルの文字エンコーディング指定機能を追加。
  テンプレートのXLSファイル名について、大文字から開始するように変更。
  TODO DI的利用に対応するためのコンストラクタおよびメソッドの生成。

2008.12.05 (1.1.8)
  jarファイル類の更新。

2008.11.07 (1.1.7)
  シリアルIDが無いために発生する警告について、アノテーションで抑制するように変更。

2008.10.31 (1.1.6)
  Reader では BlancoCsvRuntimeUtil を import する必要がなくなったので、import を抑制するように変更。
  BlancoCsvIOException に シリアル・バージョン ID を付与するように変更。

2008.10.30 (1.1.5)
  JDK 1.5 対応。

2008.03.23 (1.1.4) JDK 1.4.2 対応の最終版
  (reader)改行付きデータ読み込みにバグがあったのを修正。(改行が無いことになってしまう)
    (thx かしはらさん)

2008.03.11 (1.1.3) 開発版
  getReader, getWriter メソッドの追加。

2008.03.11 (1.1.2) 開発版
  (reader)改行付きデータ読み込みにトライ。

2008.03.10 (1.1.1) 開発版
  blancoCodeGenerator への依存を除去。
  (削除)blancocodegenerator-*.jar

2008.02.09 (1.1.0) 開発版
  jarファイル類を更新。
  TODO structure2Source などは未対応。
  TODO blancoCg対応は未実施。
  (削除)blanco.testディレクトリ。

2007.12.24 (1.0.1) Eclipse 3.3 対策
  ※今回に限り pluginのみバージョン番号採番のうえリリースします。
  (plugin)バージョン番号を採番更新。
  (plugin) workbenchMonitorを利用するのを停止しました。
    →これは、Eclipse 3.3 で workbenchMonitor を利用すると org.eclipse.swt.SWTException: Invalid thread access が発生してしまうので、これを避けるためです。
  (plugin)about.htmlを更新。
  (plugin)build.xmlを更新。
  (plugin)plugin.xmlの再生成
  (plugin)ウィザードの生成ディレクトリに関する記述を更新 (Blanco*WizardPage4)
  (jar)jarファイル類を更新チェック。

2006.10.17 (1.0.0)
  バージョン番号を 1.0.0 に更新しました。

2006.10.16 (0.8.3)
  (定義書)readmeシートを削除しました。doc形式の記入要領を正とする運用です。

2006.10.13 (0.8.2)
  Pleiades (1.0.5) というツールがEclipseにインストールされていると、blancoCsvが強制的に誤った動作をおこすようになってしまう問題に対応。
    ■Pleiades (Eclipse プラグイン日本語化プラグイン)
    http://sourceforge.jp/projects/mergedoc/
  具体的には、リソースバンドル上の arg, message, value について、勝手に翻訳されないように、リソースバンドル化をやめて非リソースバンドル化。

2006.10.12 (0.8.1)
  (plugin)バージョン番号を blancoCsvと同期するように運用変更。
  (blancoCommons)JExcelApi 2.6が ×をカタカナに読み間違える不具合に対応 (blancoCommons版)。
    (具体的には jxl-2.6blanco.jar + blancoCommons 1.0.1以降を利用。)
  定数定義、リソースバンドル定義を blancoMessageを参考に改善。
  jarファイル類の更新。

2006.08.31 (0.8.0)
  (jexcelapi)JExcelApi 2.6が Sun Java2 SE 1.4.2_12 で動作しない不具合に対応。
    (具体的には JExcelApiのjarファイルにパッチを適用した jxl-2.6blanco.jarを利用開始)
  jarファイル類を更新: blancoCg, blancoCommons

2006.04.21 (0.6.0)
  blancoCodeGenerator第2世代に対応した安定版としてリリース。

2006.04.15 (0.5.1) 開発版。
  blancoCodeGeneratorを第2世代版へと置き換えました。
  blancoCodeGenerator 0.8.1 → 0.9.5 への置き換えです。
  →blancoCodeGenerator更新により不要なインポートの抑制やJavaDoc部分の見栄えの改善が得られます。
  ※置き換えの結果、動作に影響のある変化は起きないことを確認しました。

2006.04.15 (0.5.0) 開発版。
  一旦、開発版扱いとします。
  jarファイル類を更新。blancoValueObjectのtoString版やblancoResourceBundleの0.7.0が含まれます。

2006.04.14 (0.4.3) 安定版。バグ修正。
  第二世代に対応。

2006.04.12 (0.4.2) 安定版。バグ修正。
  「エンコーディング」が適切に伝達されない不具合があったのでこれを修正。

2006.04.11 (0.4.1) 安定版。仕様を微調整。
  Reader: 日付/時刻の解析を厳密に行うように変更。

2006.03.30 (0.4.0) 安定版
  安定版としてリリースします。

2006.03.30 (0.3.7) 不安定版
  (Java版)文字列の必須項目について、長さ0のものについても制約違反と判定するように変更。
  (Java版)BlancoCsvIOExceptionの親クラスをjava.lang.Exceptionに変更。
  (Java版)行カウンタ取得メソッドを追加しました。(C#.NET版と同期済み)
  (Java版)IOExceptionおよびIllegalArgumentExceptionをスローしている箇所について、BlancoCsvIOExceptionへと切り替えました。
          これは統一的なエラー処理のために必要なことです。(C#.NET版と同期済み)

2006.03.29 (0.3.6) 不安定版
  (Java版)【機能追加】項目が必須かどうかを記載する項目を様式に追加。
  (Java版)【機能追加】decimal型をあらわす java.math.BigDecimalを追加。
  JDK 1.5でコンパイルできることを確認。
  単体試験について、基本的なパスについてのみ実施。

2006.03.28 (0.3.5) 不安定版
  【バグ修正】ダブルクォート付き文字列の終端項目後にカンマがあってもエラーとならないバグについて、これを修正。

2006.03.08 (0.3.4) 不安定版
  blancoCsvDotNet版との分岐ポイントの候補です。
  マイルストーン版作成に着手します。
  jarファイル類を更新。  

2006.03.07 (0.3.3) 不安定版
  (plugin)blancoEclipsePluginGenを更新。
  (plugin)jarファイル類を更新
  (plugin)右クリックメニューを除去。
【重要】(plugin)ドキュメント一覧のための中間ファイル作成処理を後続処理に追加。

2006.03.06 (0.3.2) 不安定版
  jarファイルを更新。
  【重要】ランタイムクラス指定に対応。
  (plugin)右クリックメニューを除去。

2006.02.08 (0.3.1) 不安定版
  jarファイルを更新。
  【重要】様式を改善。「タイトル行」を追加。「JavaDocに利用」を除去。
  様式のMIN桁、MAX桁の大小関係のチェックを強化。

2006.01.24 (0.3.0) 不安定版
  ソースコード生成単位でリソースバンドルを分割。

2006.01.24 (0.2.8) 不安定版
  様式の入力チェックを強化。
  jarファイルのタグイを更新
  blancometa2xml を導入。
  【削除】BlancoCsvMeta2Xml.javaを削除

2006.01.06 (0.2.7)
  blancoEclipsePluginGenを適用。
  【削除】BlancoCsvPlugin.java
  【削除】BlancoCsvDocumentProvider.java
  【削除】BlancoCsvPluginUtil.java

2005.12.27 (0.2.6)
  blancoValueObjectの最新版に対応。
  ValueObjectのJUnit自動生成に対応。
  【削除】metaフォルダ配下にあった BlancoCalcParserDef.xml を削除

2005.11.14 (0.2.5)
  JavaDocの@throws節が間違っていたのを修正。

2005.11.09 (0.2.4)
  様式を一部改良。項目名に変化は無し。
  (plugin)Exception, ErrorがEclipseのログに適切に出力されるように改善。

2005.11.04 (0.2.3)
  CodeGeneratorの仕様変更に対応

2005.11.04 (0.2.2)
  【重要】BlancoCsvExpandUtil を削除
  blancoSOAP最新版への差し替え

2005.11.02 (0.2.1)
  エスケープされない文字列出力の際に、データ中にデリミタが含まれていた場合のエラー処理を追加

2005.11.01 (0.2.0)
  大きな仕様上のバグを発見して修正。行の終端判定に大きなバグ。

2005.10.31 (0.1.9)
  jarファイルを更新
  ダブルクオーテーション対応
  blancoCommonsにxml読み込みを依存させる
  【重要】クラスのファイルが削除されたり追加されたりしました。

2005.10.22 (0.1.8)
  中間ファイルXMLの内容を調整。

2005.10.21 (0.1.7)
  Excel様式の品質向上
  docフォルダがjarファイル中でルートに配置される不具合を修正。
  pojoの用語を追放。valueobjectに変更。
  Writerでjava.lang.Stringの書き込みの際に不要なダブルクオートが書かれていたのを修正。
  生成するコードに finalが適切に書かれるように改善。

2005.10.20 (0.1.6)
  ライブラリ類を更新
  blancoCodeGeneratorを利用開始

2005.10.15 (0.1.5)
  ライブラリ類を更新
  blancoCalcParser対応

2005.09.22 (0.1.3)
  srcフォルダを含めるようにする。

2005.09.22 (0.1.2)
  build.xmlを改良
  blancoPOJOを利用するように変更。
  blancoCommonsを更新。

2005.09.13 (0.1.0)
  出荷候補版をリリース。

2005.09.12 (0.0.12)
  異常時メッセージを改善。

2005.09.12 (0.0.11)
  JavaDoc修正
  入力ストリームクローズ忘れを改善。

2005.09.12 (0.0.10)
  JavaDocを改善

2005.09.12 (0.0.9)
  エンコーディング無指定の場合の挙動を修正

2005.09.12 (0.0.8)
  プラグイン作成に併せて様式を改善。
  transformに渡した StreamSource, StreamResultの元ストリームのクローズ忘れを修正。

2005.08.23 (0.0.7)
  規定値に対応。
  blancoCommons更新
  MIN/MAX長に対応。

2005.08.22 (0.0.6)
  JExcelApiのjarファイルを更新。
  CSVファイルのサンプルに、少し気合を入れる。

2005.08.20 (0.0.5)
  日時型について書式指定が可能なように仕様を変更。

2005.08.20 (0.0.4)
  JavaDocを生成するように改善。

2005.08.20 (0.0.3)
  実行時ユーティリティクラスに以降

2005.08.19 (0.0.1)
  新規に作成

